Bug 16337 - initEvent()
Summary: initEvent()
Status: RESOLVED FIXED
Alias: None
Product: WebAppsWG
Classification: Unclassified
Component: HISTORICAL - DOM3 Events (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Travis Leithead [MSFT]
QA Contact: public-webapps-bugzilla
URL: http://lists.w3.org/Archives/Public/w...
Whiteboard:
Keywords: LC, needsReview
Depends on:
Blocks:
 
Reported: 2012-03-12 21:16 UTC by Travis Leithead [MSFT]
Modified: 2012-04-27 23:59 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Travis Leithead [MSFT] 2012-03-12 21:16:44 UTC
In most implementations initEvent() can be invoked after dispatch as well.  
I am not sure why we should disallow that. If we do disallow that, it  
unsetting the "trusted flag" does not make much sense, as that can never  
be set in the first place for events an author has control over that are  
not yet dispatched.

It also makes the "requirement" on Event.type twice using different  
terminology.


-- 
Anne van Kesteren
http://annevankesteren.nl/
Comment 1 Travis Leithead [MSFT] 2012-03-12 21:18:31 UTC
Ooops. Missed my header info...

PORT of TRACKER ISSUE-186...
[see http://lists.w3.org/Archives/Public/www-dom/2011JanMar/0068.html]
Comment 2 Travis Leithead [MSFT] 2012-03-12 21:20:37 UTC
[see http://lists.w3.org/Archives/Public/www-dom/2011JanMar/0071.html]

On 3/4/11 10:21 AM, Anne van Kesteren wrote:
> In most implementations initEvent() can be invoked after dispatch as
> well. I am not sure why we should disallow that.

I believe pages use this to redispatch events....

-Boris
Comment 3 Travis Leithead [MSFT] 2012-04-23 16:31:17 UTC
Agree with allowing initEvent to be invoked after dispatch.

I'm looking through the spec to find places that say things to the contrary...
Comment 4 Travis Leithead [MSFT] 2012-04-27 23:59:44 UTC
With the latest update today, I've resolved this issue so that initEvent can be invoked after dispatch for both trusted and untrusted events. I fixed the few places in the spec that were incongruent with this notion. This should now line up property with DOM4.